Bug 486447 - poweroff hangs on Athlon 4850e
poweroff hangs on Athlon 4850e
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 14:58 EST by Vladimir Kotal
Modified: 2009-12-18 02:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:58:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the famous last words (331.10 KB, image/jpeg)
2009-02-19 14:59 EST, Vladimir Kotal
no flags Details
full dmesg output (36.13 KB, application/octet-stream)
2009-02-19 15:00 EST, Vladimir Kotal
no flags Details
/etc/sysconfig/cpuspeed config file (2.60 KB, application/octet-stream)
2009-02-19 15:01 EST, Vladimir Kotal
no flags Details

  None (edit)
Description Vladimir Kotal 2009-02-19 14:58:43 EST
Description of problem:

Powerering off a system with AMD Athlon64 X2 (4850e) hangs in the last stage.

Version-Release number of selected component (if applicable):

kernel-2.6.27.12-170.2.5.fc10.i686

How reproducible:

power-off the system from Gnome menu.

Steps to Reproduce:
1. system -> shutdown (in Gnome)
  
Actual results:

hangs (see attached screenshot for the on-screen messages)

Expected results:

power-off

Additional info:

At first I thought this is related to the cpufreq service being enabled but I have just tried to disable it, reboot, power-off and it hangs regardless.
Comment 1 Vladimir Kotal 2009-02-19 14:59:35 EST
Created attachment 332627 [details]
screenshot of the famous last words
Comment 2 Vladimir Kotal 2009-02-19 15:00:06 EST
Created attachment 332628 [details]
full dmesg output
Comment 3 Vladimir Kotal 2009-02-19 15:00:19 EST
$ cat /proc/cpuinfo 
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 107
model name	: AMD Athlon(tm) Dual Core Processor 4850e
stepping	: 2
cpu MHz		: 1800.000
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch
bogomips	: 3616.45
clflush size	: 64
power management: ts fid vid ttp tm stc 100mhzsteps

processor	: 1
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 107
model name	: AMD Athlon(tm) Dual Core Processor 4850e
stepping	: 2
cpu MHz		: 1800.000
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch
bogomips	: 3616.45
clflush size	: 64
power management: ts fid vid ttp tm stc 100mhzsteps
Comment 4 Vladimir Kotal 2009-02-19 15:01:08 EST
The cpuinfo in the last comment is with cpufreq service enabled. Config file attached.
Comment 5 Vladimir Kotal 2009-02-19 15:01:57 EST
Created attachment 332629 [details]
/etc/sysconfig/cpuspeed config file
Comment 6 Vladimir Kotal 2009-02-19 15:02:55 EST
I should also add that power off worked previously (but intermittently) with F10 on the exact same system so this is a regression.
Comment 7 Bug Zapper 2009-11-18 04:52:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:58:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.